## orsopy 1.2.2

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 --ignore=F401,E501 orsopy tests

test: ## run tests quickly with the default Python
	pytest

coverage: ## check code coverage quickly with the default Python
	coverage run --source orsopy -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = orsopy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## orsopy 1.1.0

=== debian/changelog ===
orsopy (1.1.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 24 May 2023 09:44:51 +0200

orsopy (1.1.0-1) unstable; urgency=low

  * source package automatically created by stdeb 0.10.0

 -- Roland Mas <lolando@debian.org>  Mon, 10 Apr 2023 15:41:45 +0200

=== debian/control ===
Source: orsopy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 debhelper (>= 13),
 python3-numpy,
 python3-jsonschema,
 python3-yaml,
 python3-pytest,
 python3-pint,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/orsopy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/orsopy
Homepage: https://github.com/reflectivity/orsopy

Package: python3-orsopy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Support library of the Open Reflectometry Standards Organiza
 orsopy is a Python library that implements ORSO functionality, which
 currently includes the reduced data file format.  The orsopy package
 is used by a range of data reduction and analysis packages for the
 writing and reading of reduced reflectometry data.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 10 Apr 2023 15:41:45 +0200
export PYBUILD_NAME=orsopy
%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_test:
	rm .pybuild/cpython3_*_orsopy/build/test*.ort

## orsopy 1.2.0

=== debian/changelog ===
orsopy (1.2.0-2) unstable; urgency=medium

  * Bug fix: "small correction to the short description", thanks to Ben
    Tris (Closes: #1052390).

 -- Roland Mas <lolando@debian.org>  Wed, 28 Feb 2024 17:32:49 +0100

orsopy (1.2.0-1) unstable; urgency=medium

  * New upstream release. This fixes: "FTBFS: dh_auto_test: error: pybuild
    --test --test-pytest -i python{version} -p '3.12 3.11'
    returned exit code 13", thanks to Lucas Nussbaum (Closes: #1058435).

 -- Roland Mas <lolando@debian.org>  Wed, 28 Feb 2024 17:27:13 +0100

=== debian/control ===
Source: orsopy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 13),
 dh-python,
 python3-all,
 python3-h5py,
 python3-jsonschema,
 python3-numpy,
 python3-pint,
 python3-pytest,
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/orsopy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/orsopy
Homepage: https://github.com/reflectivity/orsopy

Package: python3-orsopy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Open Reflectometry Standards Organization support library
 orsopy is a Python library that implements ORSO functionality, which
 currently includes the reduced data file format.  The orsopy package
 is used by a range of data reduction and analysis packages for the
 writing and reading of reduced reflectometry data.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,6 @@
 execute_after_dh_auto_test:
 	rm .pybuild/cpython3_*_orsopy/build/test*.ort
 
+execute_after_dh_auto_install:
+	find debian -name \*.orb -type f -delete

=== debian/watch ===
# please also check http://pypi.debian.net/orsopy/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/orsopy/orsopy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## orsopy 1.2.2

=== debian/changelog ===
orsopy (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - skip yet more tests that need internet access
  * Add myself as uploader.
  * Update S-V to 4.7.2 (no changes).
  * Use debhelper-compat instead of d/compat to set compat level.
  * Enable autopkgtests via autopkgtest-pkg-pybuild.

 -- Stuart Prescott <stuart@debian.org>  Thu, 02 Oct 2025 14:38:58 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: orsopy
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Roland Mas <lolando@debian.org>
+Uploaders:
+ Roland Mas <lolando@debian.org>,
+ Stuart Prescott <stuart@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-h5py,
@@ -14,10 +16,11 @@
  python3-pytest,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/orsopy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/orsopy
 Homepage: https://github.com/reflectivity/orsopy
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-orsopy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=orsopy
export PYBUILD_TEST_ARGS = -v --pyargs orsopy

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_test:
	rm .pybuild/cpython3_*_orsopy/build/test*.ort

execute_after_dh_auto_install:
	find debian -name \*.orb -type f -delete
